Class | Rake::NameSpace
In: | lib/rake.rb
Parent: | Object

The NameSpace class will lookup task names in the the scope defined by a `namespace` command.

### Methods

[] new tasks

### Public Class methods

new(task_manager, scope_list)

Create a namespace lookup object using the given task manager and the list of scopes.

### Public Instance methods

[](name)

Lookup a task named `name` in the namespace.

tasks()

Return the list of tasks defined in this and nested namespaces.

[Validate]